Results 1 to 5 of 5

Thread: PECL install package error -- Missing libzyp

  1. #1
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,206
    Blog Entries
    2

    Question PECL install package error -- Missing libzyp

    Any PHP developers hanging around?

    On a LEAP 15.2,
    I've not had to deal with PHP extensions before, when I run the following "pecl install zip" I don't know how to address the dependency error "checking for libzyp" after the earlier successful "checking libzyp" dependency check when running phpize. Both libzypp and libzypp-devel from the OSS are installed. PHP 7.4 installed from the openSUSE PHP repository (I can provide repo info if requested, but figure it's not an issue here).

    TIA,
    TSU

    Code:
    # pecl channel-update pecl.php.net;  pecl install zip; exit
    Updating channel "pecl.php.net"
    Channel "pecl.php.net" is up to date
    downloading zip-1.19.2.tar ...
    Starting to download zip-1.19.2.tar (1,032,704 bytes)
    .............................................................................................................................................................................................................done: 1,032,704 bytes
    19 source files, building
    running: phpize
    Configuring for:
    PHP Api Version:         20190902
    Zend Module Api No:      20190902
    Zend Extension Api No:   320190902
    building in /tmp/pear/temp/pear-build-tonyxk2dyl/zip-1.19.2
    running: /tmp/pear/temp/zip/configure --with-php-config=/usr/bin/php-config
    configure: loading site script /usr/share/site/x86_64-unknown-linux-gnu
    checking for grep that handles long lines and -e... /bin/grep
    checking for egrep... /bin/grep -E
    checking for a sed that does not truncate output... /bin/sed
    checking for pkg-config... /usr/bin/pkg-config
    checking pkg-config is at least version 0.9.0... yes
    checking for cc... cc
    checking whether the C compiler works... yes
    checking for C compiler default output file name... a.out
    checking for suffix of executables...
    checking whether we are cross compiling... no
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether cc accepts -g... yes
    checking for cc option to accept ISO C89... none needed
    checking how to run the C preprocessor... cc -E
    checking for icc... no
    checking for suncc... no
    checking for system library directory... lib
    checking if compiler supports -R... no
    checking if compiler supports -Wl,-rpath,... yes
    checking build system type... x86_64-pc-linux-gnu
    checking host system type... x86_64-pc-linux-gnu
    checking target system type... x86_64-pc-linux-gnu
    checking for PHP prefix... /usr
    checking for PHP includes... -I/usr/include/php7 -I/usr/include/php7/main -I/usr/include/php7/TSRM -I/usr/include/php7/Zend -I/usr/include/php7/ext -I/usr/include/php7/ext/date/lib
    checking for PHP extension directory... /usr/lib64/php7/extensions
    checking for PHP installed headers prefix... /usr/include/php7
    checking if debug is enabled... no
    checking if zts is enabled... no
    checking for gawk... gawk
    checking for zip archive read/writesupport... yes, shared
    checking libzip... yes
    checking PHP version... 7.4
    checking for pkg-config... /usr/bin/pkg-config
    checking for libzip... not found
    configure: error: Please reinstall the libzip distribution
    ERROR: `/tmp/pear/temp/zip/configure --with-php-config=/usr/bin/php-config' failed
    exit
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    30,526
    Blog Entries
    15

    Default Re: PECL install package error -- Missing libzyp

    Hi
    Since your compiling, libzip-devel not libzyp.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,206
    Blog Entries
    2

    Default Re: PECL install package error -- Missing libzyp

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Since your compiling, libzip-devel not libzyp.
    ?
    I have both libzypp and libzypp-devel packages installed.
    Since I've posted, I found some results from back in 2017-2018 that also spoke about installing the development packages and some said libzypp had to be later than a particular version, but none of those seem to apply to my situation.

    Mainly wondering about the two dependency checks, if anyone knows what the difference is between the two which might provide a clue what's happening.

    Else, am beginning to suspect it's just a bug that needs to be reported.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    30,526
    Blog Entries
    15

    Default Re: PECL install package error -- Missing libzyp

    Quote Originally Posted by tsu2 View Post
    ?
    I have both libzypp and libzypp-devel packages installed.
    Since I've posted, I found some results from back in 2017-2018 that also spoke about installing the development packages and some said libzypp had to be later than a particular version, but none of those seem to apply to my situation.

    Mainly wondering about the two dependency checks, if anyone knows what the difference is between the two which might provide a clue what's happening.

    Else, am beginning to suspect it's just a bug that needs to be reported.

    TSU
    Hi
    It's ZIP not ZYP
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,206
    Blog Entries
    2

    Default Re: PECL install package error -- Missing libzyp

    Quote Originally Posted by malcolmlewis View Post
    Hi
    It's ZIP not ZYP
    OK, I got it!
    Thx!

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •